E-MailRelay

Public Member Functions | List of all members
GSmtp::ExecutableVerifier Class Reference

A Verifier that runs an executable. More...

`#include <gexecutableverifier.h>`

Inheritance diagram for GSmtp::ExecutableVerifier:

## Public Member Functions
| ExecutableVerifier (GNet::ExceptionSink, const G::Path &)
| Constructor. More...
| ExecutableVerifier (const ExecutableVerifier &)=delete
| ExecutableVerifier (ExecutableVerifier &&)=delete
void | operator= (const ExecutableVerifier &)=delete
void | operator= (ExecutableVerifier &&)=delete
Public Member Functions inherited from GSmtp::Verifier
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra)=0
| Checks a recipient address and asynchronously returns a structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address. More...
virtual G::Slot::Signal< const VerifierStatus & > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete.
virtual void | cancel ()=0
| Aborts any current processing.
virtual | ~Verifier ()=default
| Destructor.

## Detailed Description

A Verifier that runs an executable.

Definition at line 37 of file gexecutableverifier.h.

## Constructor & Destructor Documentation

## ◆ ExecutableVerifier()

GSmtp::ExecutableVerifier::ExecutableVerifier | ( | GNet::ExceptionSink | es,
|  | const G::Path & | path
| ) |  |

Constructor.

Definition at line 32 of file gexecutableverifier.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gexecutableverifier.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gexecutableverifier.cpp